#include<bits/stdc++.h>
using namespace std;

const int maxn=1e3+3;
int a[maxn], b[maxn];
int n, ans;
bool d[maxn][maxn];
bool f[maxn][maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);    
cin>>n;
ans=n;
for(int i=0; i<n; i++){
    cin>>a[i];
}

for(int i=0; i<n; i++){
    cin>>b[i];
}

for(int i=0; i<n; i++){
    for(int j=i+1; j<n; j++){
        d[a[i]][a[j]]=true;
    }
}


for(int i=0; i<n; i++){
    for(int j=i+1; j<n; j++){
        f[b[i]][b[j]]=true;
    }
}

for(int i=0; i<n; i++){
    int curr=0;
    for(int j=i+1; j<n; j++){
        if(f[a[j-1]][a[j]]){
            curr++;
        }else{
            ans-=curr;
            break;
        }
    }
}
cout<<ans;

return 0;
}

